import processing.vr.*;

//ACHTUNG:
//Android->VR anhaken
//Android->Sketchpermission: WRITE_TO_EXTERNAL_STORAGE und VIBRATE anhaken.

//Aufgabe:
//a) Testen und analysieren Sie diesen Sketch
//b) Es gibt alternative auskommentierte Zeilen (VARIANTEN).
//   Probieren Sie diese durch und versuchen Sie die Veränderungen zu verstehen.

PShape sphere;
PMatrix3D eyeMat = new PMatrix3D();

void setup() 
{
    sphere = createShape(SPHERE, 50);
    sphere.setStroke(false);
    
    //VARIANTEN:
    sphere.setFill(color(255,0,0));
    //sphere.setFill(color(0,255,0));
    //sphere.setFill(color(0,0,255));
    
    //VARIANTEN:
    sphere.translate(0,0,-500);
    //sphere.translate(-100,0,-500);
    //sphere.translate(100,0,-500);
    //sphere.translate(0,100,-500);
    //sphere.translate(0,-100,-500);
        
//  fullScreen(STEREO);
    fullScreen(MONO);
}

void draw() 
{
  //Standardeinstellungen für unser Arbeiten:
  background(0);
  getEyeMatrix(eyeMat); //Kameramatrix auslesen  
  translate(eyeMat.m03, eyeMat.m13, eyeMat.m23); //Welt in Koordinatenursprung von Kamera setzen.
  lights();
  //ENDE Standardeinstellungen für unser Arbeiten:
     
  shape(sphere);
}